#
# spec file for package python3-libarchive
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-libarchive
Version:        0.4.3
Release:        2.6
Summary:        Python adapter for universal, libarchive-based archive access
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/dsoprea/PyEasyArchive
Source:         https://files.pythonhosted.org/packages/source/l/libarchive/libarchive-%{version}.tar.gz
BuildRequires:  libarchive-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
Complete wrapper for the libarchive library generated using SWIG. Also included
in the package are compatibility layers for the Python zipfile and tarfile
modules.

Libarchive supports the following:

 * Reads a variety of formats, including tar, pax, cpio, zip, xar, lha, ar,
   cab, mtree, rar, and ISO images.
 * Writes tar, pax, cpio, zip, xar, ar, ISO,mtree, and shar archives.
 * Automatically handles archives compressed with gzip, bzip2, lzip, xz, lzma,
   or compress.

For information on using python-libarchive, see Examples:
<http://code.google.com/p/python-libarchive/wiki/Examples>

%prep
%setup -q -n libarchive-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%if 0%{?suse_version}
%fdupes -s %{buildroot}%{python3_sitelib}
%endif

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Jan 31 2016 sleep_walker@opensuse.org
- let there be python3-libarchive!
